package com.tuoheng.admin.controller;

import com.tuoheng.admin.service.airDataType.IAirDataTypeService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ChengWang
 * @Date 2023/5/23
 */
@Slf4j
@RestController
@RequestMapping("/airDataType")
public class AirDataTypeController {

    @Autowired
    private IAirDataTypeService airDataTypeService;

    /**
     * 获取大气类型数据
     * @return
     */
    @GetMapping("/list")
    public JsonResult getList(){
        return airDataTypeService.getDataTypeList();
    }
}
