package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2023/5/23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_air_data_type")
public class AirDataType extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 空气指标类型
     */
    private String dataType;

    /**
     * 名称
     */
    private String name;

    /**
     * 排序
     */
    private String sort;




}
