package com.tuoheng.admin.entity.dto;

import lombok.Data;

/**
 * <p>
 * 通道Dto
 * </p>
 *
 * @author 拓恒
 * @since 2021-12-16
 */
@Data
public class StreamingDto {

    /**
     * 通道id
     */
    private Integer id;

    /**
     * 通道名称
     */
    private String name;

    /**
     * 通道编号
     */
    private String code;

    /**
     * 原视频推流地址
     */
    private String pushUrl;

    /**
     * 原视频拉流地址
     */
    private String pullUrl;

    /**
     * 原视频拉流地址M3U8
     */
    private String pullM3u8;

    /**
     * 通道状态:5空闲 10使用中 15停用
     */
    private Integer status;

    /**
     * 通道状态描述
     */
    private String statusName;

    /**
     * 描述
     */
    private String note;

    public StreamingDto() {
    }

    public StreamingDto(String code) {
        this.code = code;
    }

}
