package com.tuoheng.admin.entity.request.inspection;

import com.tuoheng.admin.entity.dto.AirportRouteDto;
import com.tuoheng.admin.entity.dto.InspectionRegionDto;
import lombok.Data;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/5/19
 */
@Data
public class AirportLineRequest {

    /**
     * 机场id
     */
    private Integer airportId;

    /**
     * 航线名称
     */
    private String airportLineName;

    /**
     * 区域
     */
    private List<InspectionRegionDto> inspectionRegionDtoList;

    /**
     * 航线坐标
     */
    private List<AirportRouteDto> airportRouteDtoList;

}
