package com.tuoheng.admin.entity.vo.inspection;

import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2023/5/22
 */
@Data
public class InspectionScrollbarVo {

    private static final long serialVersionUID = 1L;

    /**
     * 任务id
     */
    private String id;

    /**
     * 任务编码
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 任务状态 5任务待飞行 6准备中 7飞行失败 10任务飞行中 15任务飞行完成
     */
    private Integer status;

    /**
     * 任务类型
     */
    private Integer inspectionType;

    /**
     * 机场ID
     */
    private Integer airportId;

    /**
     * 机场名称
     */
    private String airportName;

    /**
     * 机场状态信息
     */
    private String airportStatus;;

    /**
     * 航线id
     */
    private Integer inspectionLine;

    /**
     * 航线名称
     */
    private String inspectionLineName;

    /**
     * 无人机id
     */
    private Integer droneId;

    /**
     * 无人机名称
     */
    private String droneName;


}
