package com.tuoheng.admin.service.airportline;

import com.tuoheng.admin.entity.domain.AirportLine;
import com.tuoheng.admin.entity.request.inspection.AirportLineRequest;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
public interface IAirportLineService extends IBaseService<AirportLine> {

    /**
     * 查询航线信息
     *
     * @param inspectionId 任务Id
     * @return
     */
    JsonResult getInfoByInspectionId(String inspectionId);

    /**
     *新增航线
     * @param request
     * @return
     */
    JsonResult addAirportLine(AirportLineRequest request);
}
