package com.tuoheng.admin.entity.request.inspection;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 *  修改任务请求参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-01-10
 */
@Data
public class ExecuteTaskStatusRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 0：成功，500：失败
     */
    private String code;

    /**
     * 业务平台任务id
     */
    private String requestId;

    /**
     * 执行结果
     */
    private String msg;


}
